/*
   Test AFopenRead

   $Id: tAFopenRead.c 1.12 1999/06/04 libtsp-v5r6 $
*/

#include <libtsp.h>


int
main (int argc, const char *argv[])

{
  AFILE *AFp;
  int status;
  long int Nsamp, Nchan;
  float Sfreq;
  char Fname[FILENAME_MAX];

/* Parameters for raw files */
  status = AFsetNHpar ("$AF_NOHEADER");
  if (status)
    UThalt ("tAFopenRead: Error return from AFsetNHpar");
  status = AFsetFileType ("$AF_FILETYPE");
  if (status)
    UThalt ("tAFopenRead: Error return from AFsetFileType");

/* Default search path */
  FLpathList (argv[1], "$AUDIOPATH", Fname);

/* Open the file */
  AFp = AFopenRead (Fname, &Nsamp, &Nchan, &Sfreq, stdout);

/* Close the file */
  AFclose (AFp);

  return 0;
}
