/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void MAdFreeMat (double *A[])

Purpose:
  Free an allocated double matrix

Description:
  This routine frees the space occupied by a double matrix.  This routine frees
  up space allocated by routine MAdAllocMat.

Parameters:
   -> double *A[]
      Pointer to an array of row pointers.  If A is NULL, no action is taken.

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.8 $  $Date: 1999/06/04 21:07:00 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: MAdFreeMat.c 1.8 1999/06/04 libtsp-v5r6 $";

#include <libtsp.h>


void
MAdFreeMat (double *A[])

{
  if (A != NULL) {
    UTfree ((void *) A[0]);
    UTfree ((void *) A);
  }

  return;
}
