/*
   Test VRfShift

   $Id: tVRfShift.c 1.6 1999/06/04 libtsp-v5r6 $
*/

#include <libtsp.h>

#define NMAX	128


int
main (int argc, const char *argv[])

{
  float x[128];
  int nshift;
  int nkeep;
  int i, k, N;

  sscanf (argv[1], "%d", &nshift);
  k = 2;
  N = argc - k;

  for (i = 0; i < N; ++i, ++k)
    sscanf (argv[k], "%g", &x[i]);
  VRfPrint (stdout, "VRfShift: Input data:", x, N);

  if (nshift < 0)
    nkeep = N + nshift;
  else
    nkeep = N - nshift;

  VRfShift (x, nkeep, nshift);
  VRfPrint (stdout, "          Output data", x, N);

  return 0;
}
